Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.javaee6
Class SecurityRoleRefTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.javaee6.SecurityRoleRefTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, SecurityRoleRefType<T>

    public class SecurityRoleRefTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, SecurityRoleRefType<T>

This class implements the `security-role-refType` xsd type

Original Documentation:

The security-role-refType contains the declaration of a
security role reference in a component's or a
Deployment Component's code. The declaration consists of an
optional description, the security role name used in the
code, and an optional link to a security role. If the
security role is not specified, the Deployer must choose an
appropriate security role.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`SecurityRoleRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`SecurityRoleRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getRoleLink()` Returns the `role-link` element
`java.lang.String` | `getRoleName()` Returns the `role-name` element
`SecurityRoleRefType<T>` | `removeAllDescription()` Removes the `description` element
`SecurityRoleRefType<T>` | `removeRoleLink()` Removes the `role-link` element
`SecurityRoleRefType<T>` | `removeRoleName()` Removes the `role-name` element
`SecurityRoleRefType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`SecurityRoleRefType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`SecurityRoleRefType<T>` | `setRoleLink(java.lang.String roleLink)` If not already created, a new `role-link` element with the given value will be created.
`SecurityRoleRefType<T>` | `setRoleName(java.lang.String roleName)` If not already created, a new `role-name` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityRoleRefTypeImpl

    public SecurityRoleRefTypeImpl(T t,
                                   java.lang.String nodeName,
                                   org.jboss.shrinkwrap.descriptor.spi.Node node)

### SecurityRoleRefTypeImpl

    public SecurityRoleRefTypeImpl(T t,
                                   java.lang.String nodeName,
                                   org.jboss.shrinkwrap.descriptor.spi.Node node,
                                   org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public SecurityRoleRefType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `SecurityRoleRefType<T>`
  Returns:
    the current instance of `SecurityRoleRefType`

### setDescriptionList

    public SecurityRoleRefType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `SecurityRoleRefType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `SecurityRoleRefType`

### removeAllDescription

    public SecurityRoleRefType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `SecurityRoleRefType<T>`
  Returns:
    the current instance of `SecurityRoleRefType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `SecurityRoleRefType<T>`
  Returns:
    list of `description`

### setRoleName

    public SecurityRoleRefType<T> setRoleName(java.lang.String roleName)

  If not already created, a new `role-name` element with the given value will be created. Otherwise, the existing `role-name` element will be updated with the given value.

  Specified by:
    `setRoleName` in interface `SecurityRoleRefType<T>`
  Returns:
    the current instance of `SecurityRoleRefType`

### removeRoleName

    public SecurityRoleRefType<T> removeRoleName()

  Removes the `role-name` element

  Specified by:
    `removeRoleName` in interface `SecurityRoleRefType<T>`
  Returns:
    the current instance of `SecurityRoleRefType`

### getRoleName

    public java.lang.String getRoleName()

  Returns the `role-name` element

  Specified by:
    `getRoleName` in interface `SecurityRoleRefType<T>`
  Returns:
    the node defined for the element `role-name`

### setRoleLink

    public SecurityRoleRefType<T> setRoleLink(java.lang.String roleLink)

  If not already created, a new `role-link` element with the given value will be created. Otherwise, the existing `role-link` element will be updated with the given value.

  Specified by:
    `setRoleLink` in interface `SecurityRoleRefType<T>`
  Returns:
    the current instance of `SecurityRoleRefType`

### removeRoleLink

    public SecurityRoleRefType<T> removeRoleLink()

  Removes the `role-link` element

  Specified by:
    `removeRoleLink` in interface `SecurityRoleRefType<T>`
  Returns:
    the current instance of `SecurityRoleRefType`

### getRoleLink

    public java.lang.String getRoleLink()

  Returns the `role-link` element

  Specified by:
    `getRoleLink` in interface `SecurityRoleRefType<T>`
  Returns:
    the node defined for the element `role-link`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD